Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 016 908 раз!

Форум

Добро пожаловать, Гость!

Open Server и php5.2.5

Вопросы по работе с Apache, Nginx, PHP, MySQL, Sendmail и т.д.
lulukyan
Сообщения: 7
C нами: 4 года 5 мес

Непрочитанное сообщение lulukyan » 14 дек 2014, 15:38

Всем привет!
У клиента стоит PHP5.2.5 и обновлять его он не собирается. А у меня некоторые модули на нем не работают. Могу ли я на Openserver 4.8.8 установить PHP5.2.5? сейчас стоит PHP 5.2.17.

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 14 дек 2014, 15:42

А почему вы решили, что если установите 5.2.5 вместо 5.2.17, то ваши модули заработают? Это одна ветка 5.2 и номер роли не играет, так что ищите ошибку в модулях, а не в PHP.

Установить конечно можно любую версию PHP, делайте как хотите, но смысла в этом я не вижу если честно. Понижая версию вы наоборот получите кучу старых багов и ошибок php, которые были исправлены в более новых релизах.

lulukyan
Сообщения: 7
C нами: 4 года 5 мес

Непрочитанное сообщение lulukyan » 14 дек 2014, 15:56

Спасибо за столь оперативный ответ.
Я вот просто думаю, что если понизить у себя PHP можно будет отладить модули с учетом багов низкой версии, так чтобы они заработали у клиента.

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 14 дек 2014, 16:00

lulukyan писал(а):Я вот просто думаю, что если понизить у себя PHP можно будет отладить модули с учетом багов низкой версии, так чтобы они заработали у клиента.


А ну да, невнимательно прочитал ваш пост. У вас на 5.2.5 модули не работают корректно и вы хотите отладить. Ну тогда да, поставьте 5.2.5, в open server это можно.

[upd=1418562610][/upd]
Только вот с учётом того, что в офф. архиве php http://windows.php.net/downloads/releases/archives/ самая старая версия что есть 5.2.6 и с учётом того что прошло уже 7 лет с момента выхода 5.2.5, то версию 5.2.5 вы можете и не найти где скачать.

lulukyan
Сообщения: 7
C нами: 4 года 5 мес

Непрочитанное сообщение lulukyan » 15 дек 2014, 22:46

Скачал отсюда http://php.net/releases/
Адрес ссылки скачивания Windows binary http://museum.php.net/php5/php-5.2.5-Win32.zip
Однако боюсь что некорректно установил ее, хотя старался следовать инструкции ручной установки файла install.txt.

Сейчас openServer показывает что установлен PHP-5.2.5 и PHPINFO говорит о том же, но есть смутное сомнение что что то не так.


Не подскажете какова общая схема ручной установки? Или если возможно откуда можно скачать инсталятор?

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 15 дек 2014, 22:59

lulukyan, не совсем понял вас, про какой инсталлятор идёт речь? Open Server это портативная программа, php нужно ставить вручную путём копирования существующего модуля + его конфигурации и замены содержимого папки модуля на дистрибутив нужной версии PHP + скопировать недостающие расширения из оригинального модуля PHP который вы копировали.

Никакого инсталлятора, который установил бы вам PHP или использовал бы установленный в Windows PHP - не существует.

P.S. Если не получается, могу установить вам модуль через тимвьювер.


Вернуться в «Модули и инструменты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей